---
sidebar_label: HTTPRequest.fetchPostData
---

# HTTPRequest.fetchPostData() method

Fetches the POST data for the request from the browser.

#### Signature:

```typescript
class HTTPRequest {
  abstract fetchPostData(): Promise<string | undefined>;
}
```

**Returns:**

Promise&lt;string \| undefined&gt;
